package cz.moneta.test.regression.channels.digital.ml.hypos;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "Task list tests")
public class TaskListTest {

    @TestCase(name = "Check task detail")
    @JiraTestCase(id = "ML-T2615")
    public void tcTaskDetail(Harness harness) {
        harness.withHypos()
                .openLoginPage()
                .switchToTaskListPage()
                .selectFilterMode("-- bez filtru --")
                .selectFilterType("Změna podmínek čerpání / PPD")
                .clickSearchButton()
                .clickTaskDetail()
                .checkPageTitle();
    }
}